#include "area_business_speed_checker.h"

struct over_speed_data:business_data
{
    over_speed_data()
    {
        m_over_speed_count=0;
        m_normal_speed_count=0;
        m_limit_speed=0;
    }

    int m_over_speed_count;
    int m_normal_speed_count;
    double m_limit_speed;
};

area_business_speed_checker::area_business_speed_checker()
{
}

void area_business_speed_checker::on_enter(const std::shared_ptr<area_hover>&a,
					const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data>&ptr)
{
}

void area_business_speed_checker::on_hover(const std::shared_ptr<area_hover>&a,
					const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr)
{
}

void area_business_speed_checker::on_leave(const std::shared_ptr<area_hover>&a,
					const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr)
{
}

